/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.Cliente;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface ClienteFacadeLocal {

  void create(Cliente cliente);

  void edit(Cliente cliente);

  void remove(Cliente cliente);

  Cliente find(Object id);

  Cliente findByRut(String rut);
  
  List<Cliente> findAll();

  List<Cliente> findRange(int[] range);

  int count();
  
}
